Page MenuHomePhabricator

add mw-redirect to links in tabs
Closed, ResolvedPublic

Description

When visit a page, and its discussion page is a redirect, the tab (monobook) ca-talk has no class=mw-redirect, like internal links on a page. Please add the class, so it is possible to see, if the discussion page is a redirect or holds content (after add user.css). Thanks.

Details

Reference
bz22976
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:03 PM
bzimport added a project: MediaWiki-Interface.
bzimport set Reference to bz22976.
bzimport added a subscriber: Unknown Object (MLST).

These tabs (content_actions) bypass LinkRenderer, and having them use it looks kind of non-trivial...probably best to just manually call Linker::getLinkColour() for now to get the extra classes.

Danny_B updated the task description. (Show Details)May 31 2016, 7:38 PM
Danny_B edited subscribers, added: Danny_B; removed: wikibugs-l-list.

Change 292062 had a related patch set uploaded (by Legoktm):
SkinTemplate: Set link classes on content_navigation tabs

https://gerrit.wikimedia.org/r/292062

Legoktm claimed this task.May 31 2016, 11:54 PM

Change 292062 merged by jenkins-bot:
SkinTemplate: Set link classes on content_navigation tabs

https://gerrit.wikimedia.org/r/292062

Jdforrester-WMF closed this task as Resolved.Jul 18 2016, 4:55 PM